package cdi;

import java.util.List;

import javax.enterprise.event.Event;
import javax.inject.Inject;

/**
 * More injection and evnethandling
 * @author hajo
 *
 */
public class ShoppingCart {
	
	// Therer's a built in @Any annotation
	@Inject @NewItem Event<Item> itemEvent;
	@Inject @MyListAnnotation
	List<Item> items;
	
	public void addItem(Item item) {
		items.add(item);
		itemEvent.fire(item);
	}

}
