

package res;

import java.util.Locale;
import java.util.ResourceBundle;

import javax.swing.JOptionPane;

/*
 * Internationalization (i18n) using resource bundles and Locale
 */
public class Main {

    // Last part is a classname (but there's no class just properties-files)
    public static final String BUNDLE_BASE = "res.i18n.I18N";

    public static void main(String[] args) {
       ResourceBundle rb = ResourceBundle.getBundle(BUNDLE_BASE, Locale.getDefault());
          JOptionPane.showMessageDialog(null, rb.getString("boy"));

        rb = ResourceBundle.getBundle(BUNDLE_BASE, new Locale("sv", "SV"));
        JOptionPane.showMessageDialog(null, rb.getString("boy"));

        rb = ResourceBundle.getBundle(BUNDLE_BASE, new Locale("de", "DE"));
        JOptionPane.showMessageDialog(null, rb.getString("boy"));

        // Not found fall back to default locale (en_US)
        JOptionPane.showMessageDialog(null, rb.getString("duck"));
        
    }

}
