/*
 *    Some tests
 */
package chl.hajo.gdxdemo.core;

import java.util.List;
import org.junit.Test;
import static org.junit.Assert.*;
import static java.lang.System.*;

/**

 @author hajo
 */
public class ModelTest {
    
    final int maxX = 800;
    final int maxY = 480;

    /**
     Test of getBucket method, of class Model.
     */
    @Test
    public void testRain() {
     
        Rain r = new Rain(maxX, maxY, 10, 64);
        r.spawnRaindrop();
        assert (r.getRainDrops().size() == 1);
        
        for (int i = 0; i < 20; i++) {
            r.spawnRaindrop();
        }
        //out.println(r.getRainDrops().size());
        assert (r.getRainDrops().size() <= 10);
        
        r.getRainDrops().stream().forEach((rd) -> {
            //out.println(rd.getX());
            assert (0 < rd.getX() && rd.getX() < maxX);
            assert (rd.getY() == maxY);
        });
        
    }
    
}
