

package rb;

import java.util.Locale;
import java.util.ResourceBundle;
import javax.swing.JOptionPane;

/*
 * Internationalization i18n using resourcebundles
 * and Locale
 */
public class Main {

    public static final String BUNDLE_BASE = "rb.resource.I18N";

    public static void main(String[] args) {
        ResourceBundle rb = ResourceBundle.getBundle(BUNDLE_BASE, Locale.getDefault());
        JOptionPane.showMessageDialog(null, rb.getString("boy"));

        rb = ResourceBundle.getBundle("rb.resource.I18N", new Locale("sv", "SV"));
        JOptionPane.showMessageDialog(null, rb.getString("boy"));

        rb = ResourceBundle.getBundle("rb.resource.I18N", new Locale("de", "DE"));
        JOptionPane.showMessageDialog(null, rb.getString("boy"));

        // Not found fall back to default locale (en_US)
        JOptionPane.showMessageDialog(null, rb.getString("duck"));
    }

}
