package edu.chl.hajo.td.core;

import lombok.EqualsAndHashCode;
import lombok.Getter;

/**
 *
 * @author hajo
 */
@EqualsAndHashCode
public class Monster {

    @Getter
    private int health;
    private final Path path;

    public Monster(Path path, int health) {
        this.health = health;
        this.path = path;
    }

    public void move() {
        path.next();
    }
    
    public Path.Position getPosition() {
        return path.getActual();
    }

    public void takeHit(int damage) {
        health -= damage;
    }
    

}
